Bug 1402976 - vulkan package should recommend or require mesa-vulkan-drivers
Summary: vulkan package should recommend or require mesa-vulkan-drivers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: vulkan
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-08 19:32 UTC by Christian Stadelmann
Modified: 2017-02-15 17:47 UTC (History)
2 users (show)

Fixed In Version: vulkan-1.0.37.0-1.fc25 vulkan-1.0.37.0-1.fc24 vulkan-1.0.39.1-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 17:47:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Christian Stadelmann 2016-12-08 19:32:12 UTC
Description of problem:
Without mesa-vulkan-drivers, vulkaninfo is not useful.

Version-Release number of selected component (if applicable):
vulkan-1.0.30.0-1.fc25.x86_64

How reproducible:
always – packaging

Steps to Reproduce:
1. have neither mesa-vulkan-drivers nor vulkan installed
2. install vulkan
3. have a look at dependencies during installation

Actual results:
mesa-vulkan-drivers is not being pulled in as dependency

Expected results:
mesa-vulkan-drivers is required for vulkan to work properly and thus should be installed.

Comment 1 leigh scott 2016-12-08 20:28:49 UTC
vulkan runs fine here without mesa-vulkan-drivers

$ vulkaninfo 
===========
VULKAN INFO
===========

Vulkan API Version: 1.0.34

INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_parameter_validation.json, version "1.0.0"
INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_swapchain.json, version "1.0.0"
INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_unique_objects.json, version "1.0.0"
INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_threading.json, version "1.0.0"
INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_image.json, version "1.0.0"
INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_object_tracker.json, version "1.0.0"
INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_core_validation.json, version "1.0.0"
INFO: [loader] Code 0 : Found manifest file /etc/vulkan/icd.d/nvidia_icd.json, version "1.0.0"

Instance Extensions:
====================
Instance Extensions	count = 5
	VK_KHR_surface                      : extension revision 25
	VK_KHR_xcb_surface                  : extension revision  6
	VK_KHR_xlib_surface                 : extension revision  6
	VK_EXT_debug_report                 : extension revision  4
	VK_NV_external_memory_capabilities  : extension revision  1


Layers: count = 8
=======
VK_LAYER_LUNARG_parameter_validation (LunarG Validation Layer) Vulkan version 1.0.34, layer version 1
	Layer Extensions	count = 1
		VK_EXT_debug_report                 : extension revision  3
	Devices 	count = 1
		GPU id       : 0 (GTX 660)
		Layer-Device Extensions	count = 0

VK_LAYER_LUNARG_swapchain (LunarG Validation Layer) Vulkan version 1.0.34, layer version 1
	Layer Extensions	count = 1
		VK_EXT_debug_report                 : extension revision  3
	Devices 	count = 1
		GPU id       : 0 (GTX 660)
		Layer-Device Extensions	count = 0

VK_LAYER_GOOGLE_unique_objects (Google Validation Layer) Vulkan version 1.0.34, layer version 1
	Layer Extensions	count = 0
	Devices 	count = 1
		GPU id       : 0 (GTX 660)
		Layer-Device Extensions	count = 0

VK_LAYER_GOOGLE_threading (Google Validation Layer) Vulkan version 1.0.34, layer version 1
	Layer Extensions	count = 1
		VK_EXT_debug_report                 : extension revision  3
	Devices 	count = 1
		GPU id       : 0 (GTX 660)
		Layer-Device Extensions	count = 0

VK_LAYER_LUNARG_image (LunarG Validation Layer) Vulkan version 1.0.34, layer version 1
	Layer Extensions	count = 1
		VK_EXT_debug_report                 : extension revision  3
	Devices 	count = 1
		GPU id       : 0 (GTX 660)
		Layer-Device Extensions	count = 0

VK_LAYER_LUNARG_object_tracker (LunarG Validation Layer) Vulkan version 1.0.34, layer version 1
	Layer Extensions	count = 1
		VK_EXT_debug_report                 : extension revision  3
	Devices 	count = 1
		GPU id       : 0 (GTX 660)
		Layer-Device Extensions	count = 0

VK_LAYER_LUNARG_core_validation (LunarG Validation Layer) Vulkan version 1.0.34, layer version 1
	Layer Extensions	count = 1
		VK_EXT_debug_report                 : extension revision  3
	Devices 	count = 1
		GPU id       : 0 (GTX 660)
		Layer-Device Extensions	count = 0

VK_LAYER_LUNARG_standard_validation (LunarG Standard Validation Layer) Vulkan version 1.0.34, layer version 1
	Layer Extensions	count = 1
		VK_EXT_debug_report                 : extension revision  3
	Devices 	count = 1
		GPU id       : 0 (GTX 660)
		Layer-Device Extensions	count = 0

Presentable Surfaces:
=====================
GPU id       : 0 (GTX 660)
Surface type : VK_KHR_xcb_surface
Formats:		count = 2
	B8G8R8A8_UNORM
	B8G8R8A8_SRGB
Present Modes:		count = 3
	FIFO_KHR
	FIFO_RELAXED_KHR
	IMMEDIATE_KHR

GPU id       : 0 (GTX 660)
Surface type : VK_KHR_xlib_surface
Formats:		count = 2
	B8G8R8A8_UNORM
	B8G8R8A8_SRGB
Present Modes:		count = 3
	FIFO_KHR
	FIFO_RELAXED_KHR
	IMMEDIATE_KHR


Device Properties and Extensions :
==================================
GPU0
VkPhysicalDeviceProperties:
===========================
	apiVersion     = 0x400018  (1.0.24)
	driverVersion  = 1573191680 (0x5dc50000)
	vendorID       = 0x10de
	deviceID       = 0x11c0
	deviceType     = DISCRETE_GPU
	deviceName     = GTX 660
	VkPhysicalDeviceLimits:
	-----------------------

Comment 2 leigh scott 2016-12-08 22:51:41 UTC
I have added Recommends: mesa-vulkan-drivers

http://pkgs.fedoraproject.org/cgit/rpms/vulkan.git/commit/?id=324a82dde563b902e12890eca03906227be770ac

Comment 3 Fedora Update System 2017-01-20 16:45:40 UTC
vulkan-1.0.37.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-428089d356

Comment 4 Fedora Update System 2017-01-20 16:45:53 UTC
vulkan-1.0.37.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7a1ab8d2b

Comment 5 Fedora Update System 2017-01-20 16:46:02 UTC
vulkan-1.0.37.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8308abcf66

Comment 6 Fedora Update System 2017-01-21 20:49:57 UTC
vulkan-1.0.37.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e7a1ab8d2b

Comment 7 Fedora Update System 2017-01-21 21:52:42 UTC
vulkan-1.0.37.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8308abcf66

Comment 8 Fedora Update System 2017-01-21 22:25:37 UTC
vulkan-1.0.37.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-428089d356

Comment 9 Fedora Update System 2017-01-29 21:51:35 UTC
vulkan-1.0.37.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-29 22:17:48 UTC
vulkan-1.0.37.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-01-31 15:35:27 UTC
vulkan-1.0.39.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-35503b4a11

Comment 12 Fedora Update System 2017-01-31 22:48:48 UTC
vulkan-1.0.39.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-35503b4a11

Comment 13 Fedora Update System 2017-02-15 17:47:04 UTC
vulkan-1.0.39.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.